summaryrefslogtreecommitdiffstats
path: root/multimedia/k9copy/k9copy.SlackBuild
diff options
context:
space:
mode:
author Brian Reichert <rignes@pobox.com>2010-05-11 20:01:18 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 20:01:18 +0200
commit1204d49df15cacea7f4e3bee13e0b9274e38984c (patch)
treef9258496683c1f08cea66b952625cf349c1a9cad /multimedia/k9copy/k9copy.SlackBuild
parent5bbfe37463ee2edd410953be2bc34651616bb7a7 (diff)
downloadslackbuilds-1204d49df15cacea7f4e3bee13e0b9274e38984c.tar.gz
slackbuilds-1204d49df15cacea7f4e3bee13e0b9274e38984c.tar.xz
multimedia/k9copy: Added to 12.0 repository
Diffstat (limited to 'multimedia/k9copy/k9copy.SlackBuild')
-rw-r--r--multimedia/k9copy/k9copy.SlackBuild77
1 files changed, 77 insertions, 0 deletions
diff --git a/multimedia/k9copy/k9copy.SlackBuild b/multimedia/k9copy/k9copy.SlackBuild
new file mode 100644
index 0000000000..5f9ad08f91
--- /dev/null
+++ b/multimedia/k9copy/k9copy.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for k9copy
+
+# Copyright 2007 Brian Reichert <rignes@pobox.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+if [ "$(id -u)" != "0" ]; then
+ echo "This script must be run as root!"
+ exit 1
+fi
+
+PRGNAM=k9copy
+VERSION=1.1.1.3
+SRCDIR=1.1.1-3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+PDOCS="AUTHORS ChangeLog COPYING INSTALL NEWS README TODO"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$SRCDIR
+tar -xzvf $CWD/$PRGNAM-$SRCDIR.tar.gz || exit 1
+cd $PRGNAM-$SRCDIR
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+KDEPREF=$(kde-config --prefix) || true
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=$KDEPREF \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $PDOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz